//=========================================================================
//
//	FILE:				NibXML_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the Nib to XML demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:33:20 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

/*!
	@mainpage
	
	@section overview  Overview

	The CP_NibXML demo shows the use of a nib file converted to CPLAT xml for use with the
	CPLAT framework. In order to use a UI created with a nib, you will need to conver the
	nib file to a form of XML that can be used by the CPLAT framework. There are 2 tools
	supplied with the CPLAT framework that will do this for you. The NibToXML tool converts
	the nib to CPLAT xml, and the XMLToRes tool converts the previously converted xml to
	a resource format that is loadable by the CPLAT framework.
	
	In this first screen shot we can see the nib loaded into Apples Interface Builder application.
	
	@image html NibXML_IB.jpg
	
	In this next one, the window has been created and is running in a CPLAT application under
	MacOSX.
	
	@image html NibXML_OSX.jpg
	
	And the next screen shows the window running under Windows 2000.
	
	@image html NIbXML_W2k.jpg
	
*/
