//=========================================================================
//
//	FILE:				CP_ScriptableObject_Imp_Win.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Windows implmentation of the CP_ScriptableObject base
//						class for objects that have scripting support built in.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				Currently this class is only a placeholder to provide a
//						common base class for the application and other objects
//						that have AppleScript support.
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_ScriptableObject_Imp_Win
#define _H_CP_ScriptableObject_Imp_Win
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_OSTypes.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_ScriptableObject_Imp
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Destructor.
	virtual						~CP_ScriptableObject_Imp() throw();
	//@}
				
protected:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
								CP_ScriptableObject_Imp();
								CP_ScriptableObject_Imp(
										SInt32 inClassID,
										CP_ScriptableObject_Imp *inContainer );
	//@}

	// class data
protected:

};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_WIN32

#endif	// _H_CP_ScriptableObject_Imp_Win

